<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="css/reset.css">
    <title>HomeWork11</title>
</head>

<style>

.main-content{
    height: 100vh;
    color: black;
    font-family:'Segoe UI', sans-serif;
    font-size: 26px;
    font-weight: 700;
    background-image:url('img/ahoy.jpg');
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    flex-direction: column;
    align-items: center;
}
ul {
    list-style:lower-alpha inside;
    background: white;
    border-radius: 10px;
    padding: 10px;
    box-shadow: 10px 10px 19px -2px rgba(0,0,0,0.75);
}
li {
    padding-top: 5px;
}
.timer{
    color: red;
    background: white;
    border-radius: 25px;
    padding: 10px;
    box-shadow: 10px 10px 19px -2px rgba(0,0,0,0.75);
}
</style>
<body>
    <main id="main-content" class="main-content">
    </main>
    <script>
    
    makeList ();

    function makeList () {
        let rowQuantity = +prompt ('Enter number of rows'); 
        while (rowQuantity < 1 || !rowQuantity || !Number.isInteger(rowQuantity)){
            rowQuantity = +prompt ('Re-enter number of rows');
        }
        let listRows = [];

        for (let i = 1; i <= rowQuantity; i++){
            let row = prompt('Enter content');
            while (!row){
                row = prompt('Re-enter content');
            }
            listRows.push(row);
           
        } 
        let main = document.getElementById('main-content');
        let liItems = listRows.map(function(row){
            return `<li>${row}</li>`;    
        }) 
        let listHTML = `<ul>${liItems.join("")}</ul>`;
        main.innerHTML = listHTML; 

        let timer = document.createElement('p');
        timer.className = 'timer';  
        timer.id = 'timer-id';
        timer.innerText = '10';
        main.appendChild(timer);
        
        let intervalId = setInterval(function (){
            timer.innerText-- ;
                if (timer.innerText == "0"){
                    main.innerHTML = "";
                    clearInterval(intervalId);
                }
        }, 1000); 
    }

    </script>
</body>
</html>